#!/usr/bin/perl -W

require 'tofu.pl';

sub main {

  my $fname = $_[0];

  # Read message:
  if (!open(IN, $fname))
    { 
      print STDERR "Could not open $fname: $!\n"; 
      return 1; 
    }

  $text = "";

  while (<IN>)
    {
      $text = "$text$_";
    }

  close IN;

  my @message = tofu_text2Array ($text);

  # this should be self-explanatory:
  $result = tofu_invalidQuoting (\@message);

  if ($result)
    {
      print "Posting rejected: $result\n";
    }
  else
    {
      print "Posting accepted:\n";
    }

#  print "@message";
  return 0;
}

if (!$ARGV[0])
  {
    print STDERR "TOFU: no file name given.\n";
    exit 1;
  }

exit main ($ARGV[0]);
